Bug 13641 - RPM hangs when upgrading or installing new packages
RPM hangs when upgrading or installing new packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 09:30 EDT by joshua.marder
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-10 09:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua.marder 2000-07-10 09:30:41 EDT
RPM is hanging when I run rpm -Uvh <package name>.  I have tried to rebuild the database using the rpm --rebuilddb command but that has 
failed to correct the problem.  After rebuilding the database, I try to rerun the upgrade command and it hangs again.  I'm including a log of the 
session captured with strace, please let me know if you require any more information.  I do realize that this is a duplicate of quite a few bugs, 
but the workaround suggested in those bugs fails to correct the problem.

execve("/bin/rpm", ["rpm", "-vv", "-Uvh", "minicom-1.83.0-4.i386.rpm"], [/* 22 vars */]) = 0
personality(PER_LINUX)                  = 0
geteuid()                               = 0
getuid()                                = 0
getegid()                               = 0
getgid()                                = 0
brk(0)                                  = 0x810da8c
brk(0x810daac)                          = 0x810daac
brk(0x810e000)                          = 0x810e000
getpid()                                = 12575
open("/usr/lib/rpm/rpmpopt", O_RDONLY)  = 6
lseek(6, 0, SEEK_END)                   = 2691
lseek(6, 0, SEEK_SET)                   = 0
read(6, "#\n# This file *should not be mo"..., 2691) = 2691
close(6)                                = 0
brk(0x810f000)                          = 0x810f000
open("/etc/popt", O_RDONLY)             = -1 ENOENT (No such file or directory)
getuid()                                = 0
geteuid()                               = 0
open("/root/.popt", O_RDONLY)           = -1 ENOENT (No such file or directory)
uname({sys="Linux", node="bogey.sycamorenet.com", ...}) = 0
brk(0x8110000)                          = 0x8110000
open("/usr/lib/rpm/rpmrc", O_RDONLY)    = 6
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "# $Id: rpmrc.in,v 2.8 1999/04/16"..., 6029) = 6029
brk(0x8111000)                          = 0x8111000
brk(0x8112000)                          = 0x8112000
close(6)                                = 0
open("/etc/rpmrc", O_RDONLY)            = -1 ENOENT (No such file or directory)
open("/root/.rpmrc", O_RDONLY)          = -1 ENOENT (No such file or directory)
open("/usr/lib/rpm/macros", O_RDONLY)   = 6
fstat(6, {st_mode=0, st_size=0, ...})   = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40000000
read(6, "# $Id: macros.in,v 1.22 1999/04/"..., 4096) = 4096
brk(0x8113000)                          = 0x8113000
read(6, "====================\n# ---- con"..., 4096) = 1863
brk(0x8114000)                          = 0x8114000
read(6, "", 4096)                       = 0
close(6)                                = 0
munmap(0x40000000, 4096)                = 0
open("/usr/lib/rpm/i686-linux/macros", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/rpm/macros", O_RDONLY)       = -1 ENOENT (No such file or directory)
open("/etc/rpm/i686-linux/macros", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/root/.rpmmacros", O_RDONLY)= -1 ENOENT (No such file or directory)
fstat(1, {st_mode=S_ISVTX|0400, st_size=0, ...}) = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40000000
ioctl(1, TCGETS, {B9600 opost isig icanon echo ...}) = 0
write(1, "D: counting packages to install\n"..., 32) = 32
write(1, "D: found 1 packages\n", 20)   = 20
write(1, "D: looking for packages to downl"..., 36) = 36
write(1, "D: retrieved 0 packages\n", 24) = 24
open("minicom-1.83.0-4.i386.rpm", O_RDONLY) = 6
fstat(6, {st_mode=0, st_size=0, ...})   = 0
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\355\253\356\333\3\0\0\0\0\1mini"..., 96) = 96
write(1, "D: New Header signature\n", 24) = 24
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\216\255\350\1\0\0\0\0\0\0\0\3\0"..., 16) = 16
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\0\0\3\350\0\0\0\4\0\0\0\0\0\0\0"..., 133) = 133
write(1, "D: Signature size: 149\n", 23) = 23
write(1, "D: Signature pad : 3\n", 21)  = 21
fstat(6, {st_mode=0, st_size=0, ...})   = 0
write(1, "D: sigsize         : 152\n", 25) = 25
write(1, "D: Header + Archive: 133155\n", 28) = 28
write(1, "D: expected size   : 133155\n", 28) = 28
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\0\0\0", 3)                    = 3
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\216\255\350\1\0\0\0\0\0\0\0)\0\0"..., 16) = 16
brk(0x8116000)                          = 0x8116000
fstat(6, {st_mode=0, st_size=0, ...})   = 0
read(6, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\1"..., 8032) = 8032
brk(0x8117000)                          = 0x8117000
brk(0x8118000)                          = 0x8118000
write(1, "D: opening database mode 0x42 in"..., 48) = 48
open("//var/lib/rpm/packages.rpm", O_RDWR|O_CREAT, 0644) = 7
lseek(7, 0, SEEK_END)                   = 12160328
lseek(7, 0, SEEK_SET)                   = 0
read(7, " \t\5\2\0\0\0\0", 8)           = 8
lseek(7, 0, SEEK_END)                   = 12160328
lseek(7, 0, SEEK_CUR)                   = 12160328
fcntl(7, F_SETLK, {type=F_WRLCK, whence=SEEK_SET, start=0, len=0}) = 0
stat("//var/lib/rpm/nameindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/nameindex.rpm", O_RDWR|O_CREAT, 0644) = 8
fcntl(8, F_SETFD, FD_CLOEXEC)           = 0
read(8, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
stat("//var/lib/rpm/fileindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/fileindex.rpm", O_RDWR|O_CREAT, 0644) = 9
fcntl(9, F_SETFD, FD_CLOEXEC)           = 0
read(9, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
brk(0x811a000)                          = 0x811a000
lseek(9, 4096, SEEK_SET)                = 4096
read(9, "\310\0\366\17\336\17\323\17\313\17"..., 4096) = 4096
stat("//var/lib/rpm/providesindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/providesindex.rpm", O_RDWR|O_CREAT, 0644) = 10
fcntl(10, F_SETFD, FD_CLOEXEC)          = 0
read(10, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
stat("//var/lib/rpm/requiredby.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/requiredby.rpm", O_RDWR|O_CREAT, 0644) = 11
fcntl(11, F_SETFD, FD_CLOEXEC)          = 0
read(11, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
stat("//var/lib/rpm/conflictsindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/conflictsindex.rpm", O_RDWR|O_CREAT, 0644) = 12
fcntl(12, F_SETFD, FD_CLOEXEC)          = 0
read(12, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
stat("//var/lib/rpm/groupindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/groupindex.rpm", O_RDWR|O_CREAT, 0644) = 13
fcntl(13, F_SETFD, FD_CLOEXEC)          = 0
read(13, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
brk(0x811b000)                          = 0x811b000
stat("//var/lib/rpm/triggerindex.rpm", {st_mode=0, st_size=0, ...}) = 0
open("//var/lib/rpm/triggerindex.rpm", O_RDWR|O_CREAT, 0644) = 14
fcntl(14, F_SETFD, FD_CLOEXEC)          = 0
read(14, "\0\6\25a\0\0\0\2\0\0\4\322\0\0\20"..., 260) = 260
brk(0x811c000)                          = 0x811c000
brk(0x811e000)                          = 0x811e000
lseek(8, 4096, SEEK_SET)                = 4096
read(8, ".\1\366\17\356\17\347\17\337\17\333"..., 4096) = 4096
lseek(7, 8015000, SEEK_SET)             = 8015000
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0+\0\0\36L", 8)           = 8
brk(0x8121000)                          = 0x8121000
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\5"..., 8444) = 8444
brk(0x8122000)                          = 0x8122000
close(6)                                = 0
write(1, "D: found 0 source and 1 binary p"..., 40) = 40
write(1, "D: dependencies: looking for ld-"..., 43) = 43
lseek(10, 32768, SEEK_SET)              = 32768
read(10, "\332\0\362\17\352\17\341\17\331\17"..., 4096) = 4096
write(1, "D: dependencies: looking for lib"..., 39) = 39
lseek(10, 36864, SEEK_SET)              = 36864
read(10, "\330\0\367\17\357\17\347\17\337\17"..., 4096) = 4096
write(1, "D: dependencies: looking for lib"..., 45) = 45
lseek(10, 28672, SEEK_SET)              = 28672
read(10, "\316\0\367\17\357\17\347\17\337\17"..., 4096) = 4096
write(1, "D: dependencies: looking for /bi"..., 37) = 37
stat("/bin", {st_mode=0, st_size=0, ...}) = 0
lseek(9, 1601536, SEEK_SET)             = 1601536
read(9, "\2\1\354\17\344\17\325\17\315\17"..., 4096) = 4096
lseek(7, 427288, SEEK_SET)              = 427288
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0-\0\0\17\274", 8)        = 8
brk(0x8124000)                          = 0x8124000
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\5"..., 4748) = 4748
stat("/bin", {st_mode=0, st_size=0, ...}) = 0
lseek(7, 678872, SEEK_SET)              = 678872
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0-\0\0\16t", 8)           = 8
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\5"..., 4420) = 4420
stat("/home/ftp/bin", {st_mode=0, st_size=0, ...}) = 0
lseek(7, 9577176, SEEK_SET)             = 9577176
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0+\0\0X\274", 8)          = 8
brk(0x812a000)                          = 0x812a000
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\5"..., 23404) = 23404
brk(0x812c000)                          = 0x812c000
brk(0x812d000)                          = 0x812d000
stat("/usr/lib/sendmail-cf", {st_mode=0, st_size=0, ...}) = 0
write(1, "D: dependencies: looking for lib"..., 50) = 50
lseek(10, 24576, SEEK_SET)              = 24576
read(10, "\34\1\367\17\357\17\350\17\340\17"..., 4096) = 4096
write(1, "D: dependencies: looking for lib"..., 50) = 50
lseek(10, 4096, SEEK_SET)               = 4096
read(10, "\274\0\365\17\355\17\344\17\334\17"..., 4096) = 4096
lseek(12, 4096, SEEK_SET)               = 4096
read(12, "\n\0\370\17\360\17\350\17\340\17"..., 4096) = 4096
lseek(7, 8015000, SEEK_SET)             = 8015000
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0+\0\0\36L", 8)           = 8
fstat(7, {st_mode=0, st_size=0, ...})   = 0
read(7, "\0\0\0d\0\0\0\10\0\0\0\0\0\0\0\5"..., 8444) = 8444
lseek(11, 65536, SEEK_SET)              = 65536
read(11, " \0\374\17\364\17\343\17\333\17\325"..., 4096) = 4096
lseek(11, 49152, SEEK_SET)              = 49152
read(11, "&\0\375\17\365\17\346\17\336\17\312"..., 4096) = 4096
lseek(11, 36864, SEEK_SET)              = 36864
read(11, "R\0\364\17\354\17\345\17\335\17\325"..., 4096) = 4096
lseek(11, 16384, SEEK_SET)              = 16384
read(11, " \0\364\17\354\17\350\17\340\17\335"..., 4096) = 4096
lseek(11, 57344, SEEK_SET)              = 57344
read(11, "F\0\365\17\355\17\342\17\332\17\323"..., 4096) = 4096
brk(0x812f000)                          = 0x812f000
lseek(11, 28672, SEEK_SET)              = 28672
read(11, "(\0\366\17\356\17\336\17\326\17\305"..., 4096) = 4096
lseek(11, 40960, SEEK_SET)              = 40960
read(11, ":\0\362\17\352\17\343\17\333\17\316"..., 4096) = 4096
brk(0x8131000)                          = 0x8131000
lseek(11, 81920, SEEK_SET)              = 81920
read(11, "\34\0\353\17\343\17\323\17\303\17"..., 4096) = 4096
lseek(11, 90112, SEEK_SET)              = 90112
read(11, "\2\0\354\17\364\1\352\1\364\1\333"..., 4096) = 4096
brk(0x8133000)                          = 0x8133000
lseek(11, 32768, SEEK_SET)              = 32768
read(11, "8\0\361\17\351\17\336\17\326\17\324"..., 4096) = 4096
lseek(11, 20480, SEEK_SET)              = 20480
read(11, "*\0\373\17\363\17\347\17\337\17\333"..., 4096) = 4096
brk(0x8135000)                          = 0x8135000
lseek(11, 4096, SEEK_SET)               = 4096
read(11, "*\0\366\17\356\17\346\17\336\17\321"..., 4096) = 4096
lseek(11, 86016, SEEK_SET)              = 86016
read(11, "\4\0\372\17\362\17\336\17\266\3\250"..., 4096) = 4096
brk(0x8137000)                          = 0x8137000
lseek(11, 61440, SEEK_SET)              = 61440
read(11, "6\0\361\17\351\17\341\17\331\17\314"..., 4096) = 4096
lseek(11, 8192, SEEK_SET)               = 8192
read(11, ">\0\373\17\353\17\344\17\334\17\323"..., 4096) = 4096
brk(0x8139000)                          = 0x8139000
lseek(11, 24576, SEEK_SET)              = 24576
read(11, "8\0\365\17\335\17\322\17\312\17\307"..., 4096) = 4096
lseek(11, 53248, SEEK_SET)              = 53248
read(11, "8\0\354\17\344\17\337\17\277\17\260"..., 4096) = 4096
lseek(11, 57344, SEEK_SET)              = 57344
read(11, "F\0\365\17\355\17\342\17\332\17\323"..., 4096) = 4096
lseek(11, 40960, SEEK_SET)              = 40960
read(11, ":\0\362\17\352\17\343\17\333\17\316"..., 4096) = 4096
lseek(11, 81920, SEEK_SET)              = 81920
read(11, "\34\0\353\17\343\17\323\17\303\17"..., 4096) = 4096
lseek(11, 90112, SEEK_SET)              = 90112
read(11, "\2\0\354\17\364\1\352\1\364\1\333"..., 4096) = 4096
write(1, "D: installing binary packages\n", 30) = 30
open("/etc/mtab", O_RDONLY)             = 6
fstat(6, {st_mode=0, st_size=0, ...})   = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40001000
read(6, "/dev/hda1 / ext2 rw 0 0\nnone /p"..., 4096) = 218
stat("/", {st_mode=S_ISVTX|0401, st_size=0, ...}) = 0
stat("/proc", {st_mode=0, st_size=0, ...}) = 0
stat("/var", {st_mode=0, st_size=0, ...}) = 0
stat("/dev/pts", {st_mode=0, st_size=0, ...}) = 0
stat("/net", 0xbffff5e4)                = ? ERESTARTSYS (To be restarted)
--- SIGINT (Interrupt) ---
+++ killed by SIGINT +++
Comment 1 Jeff Johnson 2000-07-10 15:20:52 EDT
The strace indicates that you are hanging while trying to do statfs on a
(presumably)
network mounted file system. Add --ignoresize when installing if you need to
work
around this problem.

Note You need to log in before you can comment on or make changes to this bug.